<?php
session_start();
$ruta="../../../";
include_once($ruta."class/recogido.php");
$recogido=new recogido;
include_once($ruta."class/cobro.php");
$cobro=new cobro;
extract($_POST);
 $sumar=0;
 foreach($cobro->mostrarTodo("idchofer=".$idchofer." and estado=1") as $f)//2=RECOGIDO EFECTIVO
{
  $sumar=$sumar+number_format($f['monto'], 2, '.', '');
}
   $valores=array(
   	"idchofer"=>"'$idchofer'",
		"montototal"=>"'$sumar'",
		"estado"=>"'1'"
	 );	
	if($recogido->insertar($valores))
	{
		$rec=$recogido->mostrarUltimo("");
		$idrecogido=$rec['idrecogido'];

		$fechaactual=date('Y-m-d');
		foreach($cobro->mostrarTodo("idchofer=".$idchofer." and estado=1") as $f)//2=RECOGIDO EFECTIVO
		{
		    $valorescobro=array(
		    "idrecogido"=>"'$idrecogido'",
				"fecharecogido"=>"'$fechaactual'",
				"estado"=>"'2'"
			 );	
			$cobro->actualizar($valorescobro,$f['idcobro']);
		}
		$lblcode=ecUrl($idrecogido);
		?>
		<script type="text/javascript">
		swal({
			title: "Exito !!!",
			text: "Registrado correctamente",
			type: "success",
			showCancelButton: false,
			confirmButtonColor: "#3ABD8D",
			confirmButtonText: "OK",
			closeOnConfirm: false
          }, function () {			
			  window.open("imprimir/?lblcode=<?php echo $lblcode ?>","_blank");
              location.reload();
          });
		</script>
	<?php		
	}else{
		?>
			<script type="text/javascript">
				swal("ERROR","No se registro, consulte con sistemas","error");
			</script>
		<?php
	 }
	

?>